
###  GIT-PROMPT.SH CONFIG
###
###    lines commented-out with single '#' are default values
###    lines commented-out with double '##' are examples
###
###    NOTE: this is bash syntax - no spaces around "="

###########################################################

error_bell=off                # sound terminal bell when command return code is not zero. (use setterm to set pitch and duration)
# max_file_list_length=100      # in characters


############################################################   MODULES

git_module=on
svn_module=off
#hg_module=on
hg_module=off
vim_module=on


###########################################################   DEFAULT OBJECTS
###  Default objects are not displayed.  Example:

## default_user=lvv             
default_user=okram
## default_host="ahp"                   # remote host is always shown
## default_domain="lvvnet"      

###########################################################   Current Working Dir display
#  cwd_cmd='\w'                 # display full path
## cwd_cmd='\W'                 # display only last dir of path
## cwd_cmd='cwd_truncate 40'    # display only last N chars of path

cwd_cmd='cwd_truncate 40'

###########################################################   ETC

#  Some don't like hostname in uppercase
#  upcase_hostname=on # =off
upcase_hostname=off

#  Do not do VCS parsing for listed directories
#  useful for directories for which it is difficult to maintain .gitignore so
#  they are always dirty  (ex: home, /etc) or directory with huge repo (ex: linux src)
## vcs_ignore_dir_list=" /etc $HOME /usr/src/linux.git "

###########################################################   COLOR 

###  directory, exit code, root color 

#        cols=`tput colors`
#        if [[ -n "$cols" && $cols -ge 8 ]];  then                              #  if terminal supports colors
        #       dir_color=CYAN
        #       rc_color=red
        #       user_id_color=blue
        #       root_id_color=magenta
# else                                          #  B/W terminal
        #       dir_color=bw_bold
        #       rc_color=bw_bold
# fi

### prompt character for root/non-root, default '>' for both
#	prompt_char='>'
#	root_prompt_char='>'
##	prompt_char='$'
##	root_prompt_char='#'

#####  Per host color

### Per host color.  If not set, color will be derived from name of host checksum).
### Variable name is uppercase-short-hostname with appended "_host_color"
### Example per-host-color config:  

##          TASHA_host_color=cyan
##             AL_host_color=green
##            AHP_host_color=white


#####  VCS (version control system)  state colors

                init_vcs_color=WHITE     # initial
               clean_vcs_color=cyan      # nothing to commit (working directory clean)
            modified_vcs_color=red       # Changed but not updated:
               added_vcs_color=green     # Changes to be committed:
               mixed_vcs_color=yellow    #
           untracked_vcs_color=BLUE      # Untracked files:
                  op_vcs_color=MAGENTA
            detached_vcs_color=RED


# :vim:ft=sh ts=8 sw=8 et:
